## org.apache.poi.openxml4j.opc.internal
Class MemoryPackagePartOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.poi.openxml4j.opc.internal.MemoryPackagePartOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class MemoryPackagePartOutputStream

extends java.io.OutputStream

Build an output stream for MemoryPackagePart.

Author:
  Julien Chable

Constructor Summary
`MemoryPackagePartOutputStream(MemoryPackagePart part)`

Method Summary
`void` `close()` Close this stream and flush the content.
`void` `flush()` Flush this output stream.
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryPackagePartOutputStream

    public MemoryPackagePartOutputStream(MemoryPackagePart part)

Method Detail

### write

    public void write(int b)

  Specified by:
    `write` in class `java.io.OutputStream`

### close

    public void close()
               throws java.io.IOException

  Close this stream and flush the content.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `flush()`

### flush

    public void flush()
               throws java.io.IOException

  Flush this output stream. This method is called by the close() method. Warning : don't call this method for output consistency.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `close()`

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.OutputStream`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.